function [X] = gen_artificial_vector(p, theta, ratio)

	% This function generates an artificial 
	% pair of vectors with varying:
	% magnitudes, angle between them
	% 
	% Inputs:
	% 'theta': angle between the artificial pair of vectors
	% 'ratio': the ratio between the two vectors
	%  ratio : norm1^2 = ratio * norm2^2
	%  so ratio of 3 means: |x_1|^2 = 3 |x_2|^2 = 1

	% Outputs:
	% 'X': the resulting matrix of vectors.
	
	X = mvnrnd([0 0],[1 cos(theta); cos(theta) 1], 100000);
	X = X';
	X = X./sqrt(sum(X.^2,2));
	X(1,:) = X(1,:) * sqrt(ratio);
end




